[med-svn] [Git][med-team/cwltool][master] 6 commits: Whoops, fix debian release number

Michael R. Crusoe (@crusoe) gitlab at salsa.debian.org
Tue Aug 22 19:51:59 BST 2023



Michael R. Crusoe pushed to branch master at Debian Med / cwltool


Commits:
9a31f8d0 by Michael R. Crusoe at 2023-08-21T17:01:16+02:00
Whoops, fix debian release number

- - - - -
6158522d by Michael R. Crusoe at 2023-08-22T15:30:02+02:00
d/control: Update breaks for Toil to be less than 5.11.0.

- - - - -
462dbf08 by Michael R. Crusoe at 2023-08-22T15:33:42+02:00
d/test/run-tests: cleanup temp directory automatically.

- - - - -
4c7724d1 by Michael R. Crusoe at 2023-08-22T16:20:58+02:00
debian/patches/test_relax_whitespace_check: add patch to fix a test that was having issues with varying terminal widths.

- - - - -
0d7f4ed8 by Michael R. Crusoe at 2023-08-22T16:20:58+02:00
d/control: add jq to build-deps to enable another test.

- - - - -
be764ac4 by Michael R. Crusoe at 2023-08-22T16:23:14+02:00
routine-update: Ready to upload to unstable

- - - - -


7 changed files:

- debian/changelog
- debian/control
- debian/patches/python3
- debian/patches/series
- + debian/patches/test_relax_whitespace_check
- debian/tests/control
- debian/tests/run-tests


Changes:

=====================================
debian/changelog
=====================================
@@ -1,13 +1,18 @@
 cwltool (3.1.20230719185429-2) unstable; urgency=medium
 
-  * d/control: require setuptools, not distutilts
+  * d/control: Update breaks for Toil to be less than 5.11.0.
+  * d/test/run-tests: cleanup temp directory automatically.
+  * debian/patches/test_relax_whitespace_check: add patch to fix a test
+    that was having issues with varying terminal widths.
+  * d/control: add jq to build-deps to enable another test.
 
- -- Michael R. Crusoe <crusoe at debian.org>  Mon, 21 Aug 2023 14:31:32 +0200
+ -- Michael R. Crusoe <crusoe at debian.org>  Tue, 22 Aug 2023 16:23:14 +0200
 
 cwltool (3.1.20230719185429-1) unstable; urgency=medium
 
   * New upstream version
   * d/control: add build-dep on python3-importlib-resources
+  * d/control: require setuptools, not distutilts
 
  -- Michael R. Crusoe <crusoe at debian.org>  Tue, 08 Aug 2023 20:49:27 +0200
 


=====================================
debian/control
=====================================
@@ -34,6 +34,7 @@ Build-Depends: debhelper-compat (= 13),
                python3-argcomplete <!nocheck> <!nodoc>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
+               jq <!nocheck>,
                help2man
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
@@ -52,7 +53,7 @@ Depends: ${python3:Depends},
          python3-setuptools
 Recommends: nodejs
 Suggests: podman | docker.io | singularity-container
-Breaks: toil (<< 5.6)
+Breaks: toil (<< 5.12.0)
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
  This is the reference implementation of the Common Workflow Language


=====================================
debian/patches/python3
=====================================
@@ -1,6 +1,7 @@
-Author: Michael R. Crusoe <crusoe at debian.org>
-Description: Use python3 in test CWL tool description
-Forwarded: not-needed
+From: Michael R. Crusoe <crusoe at debian.org>
+Subject: Use python3 in test CWL tool description
+Forwarded: https://github.com/common-workflow-language/cwltool/pull/1893
+
 --- cwltool.orig/tests/wf/echo.cwl
 +++ cwltool/tests/wf/echo.cwl
 @@ -21,4 +21,4 @@


=====================================
debian/patches/series
=====================================
@@ -1,2 +1,3 @@
 disable_prov
 python3
+test_relax_whitespace_check


=====================================
debian/patches/test_relax_whitespace_check
=====================================
@@ -0,0 +1,14 @@
+From: Michael R. Crusoe <crusoe at debian.org>
+Subject: Cope with narrower terminal
+Forwarded: https://github.com/common-workflow-language/cwltool/pull/1893
+
+--- cwltool.orig/tests/test_examples.py
++++ cwltool/tests/test_examples.py
+@@ -1850,6 +1850,7 @@
+         ]
+     )
+     assert exit_code == 1, stderr
++    stderr = re.sub(r"\n\s+", " ", stderr)
+     stderr = re.sub(r"\s\s+", " ", stderr)
+     assert "Tool definition failed validation:" in stderr
+     assert (


=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
 Tests: run-tests
-Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python3-mock, procps, python3-pytest (>> 6.2)
+Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python3-mock, procps, python3-pytest (>> 6.2), jq
 Restrictions: allow-stderr


=====================================
debian/tests/run-tests
=====================================
@@ -1,19 +1,18 @@
-#!/bin/sh -ex
+#!/bin/bash
+set -ex
 
-pkg=packagename
-if [ "$AUTOPKGTEST_TMP" = "" ] ; then
-	AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+pkg=cwltool
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
 fi
 cd "$AUTOPKGTEST_TMP"
 
 export HOME=${AUTOPKGTEST_TMP}
 
-SKIPS=
-# if [ "$(id -u)" -eq 0 ]; then
-# 	SKIPS="-k 'not TestUdocker and not test_use_metadata'"
-# else
-# 	SKIPS="-k 'not test_use_metadata'"
-# fi
 py.test-3 --numprocesses=auto --ignore=cwltool/schemas -rs \
 	--ignore=/usr/lib/python3/dist-packages/cwltool/tests/test_http_input.py \
 	-k 'not (test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_udocker_nobanner)' \



View it on GitLab: https://salsa.debian.org/med-team/cwltool/-/compare/eb9250b596120ded1c96c4046c44639de6e0cbaa...be764ac4a3e1b30133b883bfacf9f553be5858e5

-- 
View it on GitLab: https://salsa.debian.org/med-team/cwltool/-/compare/eb9250b596120ded1c96c4046c44639de6e0cbaa...be764ac4a3e1b30133b883bfacf9f553be5858e5
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20230822/573aa1ac/attachment-0001.htm>


More information about the debian-med-commit mailing list